Package com.castlabs.android.player

## Class DrmKeyStorage

- java.lang.Object
- - com.castlabs.android.player.DrmKeyStorage

-     public class DrmKeyStorage
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte` | `flags` |
    `byte[]` | `keySetId` |
    `long` | `keyValidUntilMs` |
    `long` | `serverToLocalOffsetMs` |
    `long` | `syncElapsedTime` |
    `long` | `syncLocalTime` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrmKeyStorage​(byte[] encoded)` |
    `DrmKeyStorage​(byte[] keySetId, long serverToLocalOffsetMs, long keyValidUntilMs, long syncLocalTime, long syncElapsedTime, byte flags)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DrmKeyStorage` | `createWithoutTimingInfo​(byte[] keySetId)` |
    `byte[]` | `encode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### keySetId

          public final byte[] keySetId

    - #### serverToLocalOffsetMs

          public final long serverToLocalOffsetMs

    - #### keyValidUntilMs

          public final long keyValidUntilMs

    - #### syncLocalTime

          public final long syncLocalTime

    - #### syncElapsedTime

          public final long syncElapsedTime

    - #### flags

          public final byte flags

  - ### Constructor Detail

    - #### DrmKeyStorage

          public DrmKeyStorage​(byte[] keySetId,
                               long serverToLocalOffsetMs,
                               long keyValidUntilMs,
                               long syncLocalTime,
                               long syncElapsedTime,
                               byte flags)

    - #### DrmKeyStorage

          public DrmKeyStorage​(byte[] encoded)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### encode

          public byte[] encode()

    - #### createWithoutTimingInfo

          public static DrmKeyStorage createWithoutTimingInfo​(byte[] keySetId)